summaryrefslogtreecommitdiffstats
path: root/academic/wehi-weasel/wehi-weasel.SlackBuild
diff options
context:
space:
mode:
author Petar Petrov2016-12-22 12:41:02 +0100
committer Willy Sudiarto Raharjo2016-12-24 01:33:39 +0100
commit0a9ab38ab69e4b8eff6c28aedf5e48bb6742c34b (patch)
treebb26e11e15f4c0ad46a3642ff223a51fbbb26fac /academic/wehi-weasel/wehi-weasel.SlackBuild
parent8915768c6d8846562d119ca587b17d911c2b3a3a (diff)
downloadslackbuilds-0a9ab38ab69e4b8eff6c28aedf5e48bb6742c34b.tar.gz
academic/wehi-weasel: Added (Flow cytometry data analysis).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'academic/wehi-weasel/wehi-weasel.SlackBuild')
-rw-r--r--academic/wehi-weasel/wehi-weasel.SlackBuild86
1 files changed, 86 insertions, 0 deletions
diff --git a/academic/wehi-weasel/wehi-weasel.SlackBuild b/academic/wehi-weasel/wehi-weasel.SlackBuild
new file mode 100644
index 0000000000..9770ceb8ac
--- /dev/null
+++ b/academic/wehi-weasel/wehi-weasel.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Slackware build script for wehi-weasel
+
+# Copyright 2016 Petar Petrov slackalaxy@gmail.com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=wehi-weasel
+VERSION=${VERSION:-3.3.2.16}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+SRCNAM=wsl
+JARNAM=Weasel
+SRCVER=33216
+SRCDIST=unix
+LICENSE=Weaselv3_3_2License
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $JARNAM
+unzip $CWD/${SRCNAM}${SRCVER}${SRCDIST}.zip
+cd $JARNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Copy the jar file and the icons. I am not sure the icons are needed
+# by the program at runtime, but it will not hurt to have them there.
+mkdir -p $PKG/usr/share/java/$PRGNAM
+cp -a \
+ $JARNAM.jar WeaselIcon16.gif WeaselIcon32.gif WeaselIcon.ico \
+ $PKG/usr/share/java/$PRGNAM
+
+# You may wish to check this simple wrapper for the amount of RAM that
+# is allocated to the program.
+install -D -m755 $CWD/$PRGNAM $PKG/usr/bin/$PRGNAM
+
+# This doc file is what you need in order to apply for license.
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README.txt $LICENSE.doc \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/LICENSE > $PKG/usr/doc/$PRGNAM-$VERSION/LICENSE
+
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cp $CWD/$PRGNAM.desktop $PKG/usr/share/applications
+cp $CWD/$PRGNAM.png $PKG/usr/share/pixmaps
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}